#!/usr/bin/env node
import * as minimist from 'minimist';
import { deploy } from './commands/deploy';
import { isAllowedCommandType } from './internal/util';
const argv = minimist(process.argv.slice(2));
const token = process.env.TOKEN ?? '';
const [commandType, projectAndPage, sourceFilePath] = argv._;
if (!isAllowedCommandType(commandType)) {
    throw new Error(`InvalidArgumentError: command ${commandType} is not supported`);
}
const [project, page] = projectAndPage.split('/');
// NOTE: 'deploy' is only supported
deploy({ token, project, page, sourceFilePath })
    .then(() => {
    console.log('completed');
    process.exit(0);
})
    .catch((error) => {
    console.error('errored', error);
    process.exit(1);
});
//# sourceMappingURL=bin.js.map