import * as fs from 'fs';
const loadFile = (path) => new Promise((resolve, reject) => fs.readFile(path, 'utf8', (err, data) => {
    if (err) {
        reject(err);
    }
    resolve(data);
}));
const getJSTString = () => new Date().toLocaleString('ja-JP', { timeZone: 'Asia/Tokyo' });
const versionComment = `/* deployed at: ${getJSTString()} */`;
// first space is needed for scrapbox code block
export const loadSourceCode = async (file) => ` ${versionComment}${await loadFile(file)}`;
//# sourceMappingURL=file-loaders.js.map