export const isAllowedCommandType = (value) => ['deploy'].includes(value);
export const isNonEmptyString = (value) => typeof value === 'string' && value.length > 0;
export const isCSSFile = (value) => value.endsWith('.css');
export const isJSFile = (value) => value.endsWith('.js');
export const validateDeployArguments = ({ project, page, sourceFilePath, token }) => {
    const errors = [];
    if (!isNonEmptyString(project)) {
        errors.push('project is required');
    }
    if (!isNonEmptyString(page)) {
        errors.push('page is required');
    }
    if (!isNonEmptyString(sourceFilePath)) {
        errors.push('filepath is required');
    }
    if (!(isCSSFile(sourceFilePath) || isJSFile(sourceFilePath))) {
        errors.push('file type is not css or js');
    }
    if (!isNonEmptyString(token)) {
        errors.push('token is required');
    }
    return errors;
};
//# sourceMappingURL=util.js.map