import { concat, of } from 'rxjs';
import { distinctUntilChanged, share } from 'rxjs/operators';
import { getHistoryEventObservable } from './internal/observable';
export class Router {
    event$ = getHistoryEventObservable().pipe(share());
    get url() {
        return concat(of(window.location.href), this.event$).pipe(distinctUntilChanged());
    }
    get urlChange() {
        return this.event$.pipe(distinctUntilChanged());
    }
}
//# sourceMappingURL=router.js.map