import { isBrowser } from '../common/env';
// NOTE: use bind(window) to avoid `TypeError: Illegal invocation`
export const fetch = isBrowser() ? globalThis.fetch.bind(window) : require('node-fetch');
export class DefaultHttpClient {
    fetchFn;
    constructor(fetchFn = fetch) {
        this.fetchFn = fetchFn;
    }
    async get(url, options = {}) {
        const result = await this.fetchFn(url, options);
        return (await result.json());
    }
}
//# sourceMappingURL=http-client.js.map