import { packetTypes } from '../constants';
import { isIntegerString } from './util';
export const toSocketIoMessagePayload = (id, data) => {
    return `${packetTypes.send}${id}${JSON.stringify(['socket.io-request', data])}`;
};
// 430[{...}}] => 430, [{}]
// @see https://github.com/socketio/engine.io-protocol
export const parseMessage = (message) => {
    let packetType = '';
    while (message.length) {
        const head = message[0];
        if (isIntegerString(head)) {
            packetType += head;
            message = message.substr(1);
        }
        else {
            return [packetType, JSON.parse(message)];
        }
    }
    return [packetType, undefined];
};
export const isConnectionMessage = (message) => {
    return message[0] === packetTypes.initialize;
};
export const isResponseMessage = (message) => {
    return message[0].length > 2 && message[0].startsWith(packetTypes.response);
};
export const getRequestId = (packetType) => packetType.slice(2);
export const isResponseMessageOf = (sid) => (message) => {
    return isResponseMessage(message) && sid === getRequestId(message[0]);
};
//# sourceMappingURL=message.js.map