import { generateId } from '../../common';
// NOTE: userId is used to generate new ID
export const createChanges = (params, userId) => params.map((param) => {
    switch (param.type) {
        case 'insert': {
            return { _insert: param.position || '_end', lines: { id: generateId(userId), text: param.text } };
        }
        case 'update': {
            return { _update: param.id, lines: { text: param.text } };
        }
        case 'delete': {
            return { _delete: param.id, lines: -1 };
        }
        case 'title': {
            return { title: param.title };
        }
        case 'description': {
            return { descriptions: [param.text] };
        }
        default: {
            throw new Error('Bad implement');
        }
    }
});
//# sourceMappingURL=request.js.map