import { fromEvent } from 'rxjs';
import { first, shareReplay, takeUntil } from 'rxjs/operators';
import { isBrowser } from '../../common/env';
export const getBrowserWebSocket = ({ endpoint }) => new WebSocket(endpoint);
export const getNodeJSWebSocket = ({ endpoint, origin, cookie }) => {
    const NodeWebsocket = require('ws');
    const headers = { Origin: origin, Cookie: cookie };
    return new NodeWebsocket(endpoint, undefined, { headers });
};
export const getWebSocket = (settings) => {
    if (isBrowser()) {
        // @TODO: validate settings
        return getBrowserWebSocket(settings);
    }
    else {
        // @TODO: validate settings
        return getNodeJSWebSocket(settings);
    }
};
export const getEventStream = (socket) => {
    const close = fromEvent(socket, 'close').pipe(first());
    const open = fromEvent(socket, 'open').pipe(takeUntil(close), shareReplay());
    const error = fromEvent(socket, 'error').pipe(takeUntil(close), shareReplay());
    const message = fromEvent(socket, 'message').pipe(takeUntil(close));
    return { open, close, error, message };
};
//# sourceMappingURL=websocket.js.map